This forum is shutting down! Please post new discussions at community.naturalcapitalproject.org

Error in running program

Hello Natcap developers, 
I installed the program on my desktop but when i try to run, I got this error!! How can I sort this? 
Will be very thankful if you can help me out. 
Error message: 

Qt: Untested Windows version 10.0 detected!
D:\InVEST_3.5.0_x86\invest-3-x86\qtpy\__init__.py:181: RuntimeWarning: Selected binding "pyqt5" could not be found, using "pyqt4"

Regards, 
Shikshya

Comments

  • swolnyswolny Member, NatCap Staff
    Hi Shikshya -

    Does the model run anyway? I get this error, but still get the user interface for the model and it runs just fine. If you get the user interface window, you shouldn't need to worry about this error.

    ~ Stacie
  • Same error here, but everything seems to run okay.
  • ShikshyaShikshya Member
    Hello Swolny 

    I do get user interface but output is full of errors. I run the model with same data in two desktops, I have attached the log file. Log1 is from the computer where InVEST is working properly and Log2 is from my new computer where I am having problem. Would you please look at it and let me know what could probably be wrong. 

    Thanking you in advance. 
    Shikshya
  • swolnyswolny Member, NatCap Staff
    Hi @Shikshya -

    Those two logfiles are from two different versions of InVEST. The one without the warnings is 3.3.3, which is an old version, and we recommend using the latest 3.6.0.

    InVEST 3.5.0 (on the other computer) is more verbose in its logging, and you should not need to worry about these warnings, they are not errors, and it looks like the model completed - do the results look ok? 

    ~ Stacie

  • ShikshyaShikshya Member
    Dear @Stacie 

    Thank you for this!! I installed 3.6.0 and it works perfectly fine though it still says untested version of windows. 

    Thank you again. 3.6.0 version is efficient. 

    Shikshya
  • ShikshyaShikshya Member
    Dear @Stacie 

    Thank you for this.I installed 3.6.0 and it works perfectly fine though it still says untested version of windows. 

    Thank you again. 3.6.0 version is efficient. 

    Shikshya
  • ShikshyaShikshya Member
    Dear Stacie 

    Thank you for this.I installed 3.6.0 and it works perfectly fine though it still says untested version of windows. 

    Thank you again. 3.6.0 version is efficient. 

    Shikshya
  • I got the same error, and I can't get the user interface.The error exists in version 3.5.0 and 3.6.0 
  • ShikshyaShikshya Member
    Huangyujia, 

    I was previously using 3.5.0 and was having problem. So I removed all the older versions and installed 3.6.0 and now its working. May be you should try reinstalling 3.6.0 version and check. If still your problem is not solved, then you can contact Stacie :) with your error message. I am sure he will come up with some solutions. 
  • Shikshya

    thank you for your suggestion, I installed both version again and again, the problem exists all the time.
  • jdouglassjdouglass Administrator, NatCap Staff
    @huangujiya, these error messages are saying that there might be some lost precision in some of the saved vectors, but this probably won't significantly affect the model outputs.  Do your outputs otherwise look reasonable?
Sign In or Register to comment.